Update a Playbook - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Playbook
PATCH
/v2.0/playbooks/{playbookId}
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '\
{
"name": "New Playbook",
"abortOnError": true,
"timeout": 2000
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}"
payload = {
"name": "New Playbook",
"abortOnError": True,
"timeout": 2000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'New Playbook', abortOnError: true, timeout: 2000})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PATCH",\
CURLOPT_POSTFIELDS => json_encode([\
'name' => 'New Playbook',\
'abortOnError' => true,\
'timeout' => 2000\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}"
payload := strings.NewReader("{\n \"name\": \"New Playbook\",\n \"abortOnError\": true,\n \"timeout\": 2000\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
204: Playbook successfully updated.400: Validation failed. Missing payload.401: Unauthorized error.402: Payment required error.403: Forbidden error.404: Not found error.500: Internal server error.
Authorizations
X-API-Key
- Type: string
- Location: header
- Required: Supply the API Key in the HTTP-Header.
Headers
Accept
- Type: enum
- Description: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
playbookId
- Type: string
- Required: The unique identifier for the Playbook.
- Required string length: 24
Body
name: The name of the Playbook. Example: "New Playbook"abortOnError: Flag whether to stop Playbook execution when an assert-error occurred.timeout: A time (in ms) after which a playbook step is 'invalid/failed'. Required range:x >= 1.
Response Examples
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}